text.skipToContent text.skipToNavigation
Home Support Projectors BrightLink Series Epson BrightLink 475Wi

I can't use dual pens when I select Dual User in ActivInspire, the message Dual User requires an update available for Promethean Activboards only appears. What should I do?

    You may need to update ActivManager to version 5.9.16 or above.

    To update ActivManager, download the latest ActivManager driver for your operating system from the Promethean Support website.

Published:  Nov 18, 2013 Was this helpful​? Thank you for the feedback!
Please tell us why this was not helpful.​
Please enter a valid email address